cairomm: Cairo::Win32FontFace Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions

# Cairo::Win32FontFace Class Reference

Font support for Microsoft Windows. More...

Inheritance diagram for Cairo::Win32FontFace:
[legend]

List of all members.

## Static Public Member Functions
static RefPtr< Win32FontFace > | create (LOGFONTW* logfont)
| Creates a new font for the Win32 font backend based on a LOGFONT.
static RefPtr< Win32FontFace > | create (HFONT font)
| Creates a new font for the Win32 font backend based on a HFONT.
static RefPtr< Win32FontFace > | create (LOGFONTW* logfont, HFONT font)
| Creates a new font for the Win32 font backend based on a LOGFONT.
## Protected Member Functions
| Win32FontFace (LOGFONTW* logfont)
| Win32FontFace (HFONT font)
| Win32FontFace (LOGFONTW* logfont, HFONT font)

## Detailed Description

Font support for Microsoft Windows.

Since:
  1.8

## Constructor & Destructor Documentation

Cairo::Win32FontFace::Win32FontFace | ( | LOGFONTW * | logfont | ) | `[protected]`

Cairo::Win32FontFace::Win32FontFace | ( | HFONT | font | ) | `[protected]`

Cairo::Win32FontFace::Win32FontFace | ( | LOGFONTW * | logfont,
|  | HFONT | font
| ) |  | `[protected]`

## Member Function Documentation

static RefPtr<Win32FontFace> Cairo::Win32FontFace::create | ( | LOGFONTW * | logfont | ) | `[static]`

Creates a new font for the Win32 font backend based on a LOGFONT.

This font can then be used with Context::set_font_face() or Win32ScaledFont::create().

Parameters:

  logfont | A LOGFONTW structure specifying the font to use. The lfHeight, lfWidth, lfOrientation and lfEscapement fields of this structure are ignored.

Since:
  1.8

static RefPtr<Win32FontFace> Cairo::Win32FontFace::create | ( | LOGFONTW * | logfont,
|  | HFONT | font
| ) |  | `[static]`

Creates a new font for the Win32 font backend based on a LOGFONT.

This font can then be used with Context::set_font_face() or Win32ScaledFont::create().

Parameters:

  logfont | A LOGFONTW structure specifying the font to use. If hfont is null then the lfHeight, lfWidth, lfOrientation and lfEscapement fields of this structure are ignored. Otherwise lfWidth, lfOrientation and lfEscapement must be zero.
  font | An HFONT that can be used when the font matrix is a scale by -lfHeight and the CTM is identity.

Since:
  1.8

static RefPtr<Win32FontFace> Cairo::Win32FontFace::create | ( | HFONT | font | ) | `[static]`

Creates a new font for the Win32 font backend based on a HFONT.

This font can then be used with Context::set_font_face() or Win32ScaledFont::create().

Parameters:

  font | An HFONT structure specifying the font to use.

Since:
  1.8

The documentation for this class was generated from the following file:

- cairomm/win32_font.h